Sign in Start for free

Build Information

Retrieve a list of build information records describing the vcs information for a given package

GET /api/{spaceId}/build-information

Also reachable at /api/build-information, /api/spaces/{spaceIdentifier}/build-information.

Path Parameters

  • spaceId string (required)
    The ID of the space containing the resource(s).

Query Parameters

  • filter string
    A version to look for.
  • includeWorkItems boolean
  • latest boolean
    If true, returns only the latest build information.
  • packageId string
    An exact package to look for.
  • partialPackageId string
    A partial package ID used for a sub-string search.
  • skip integer
    Number of items to skip. Defaults to zero. Minimum 0.
  • take integer
    Number of items to take. Defaults to 30. Minimum 0.

Response

200 — The requested list of Build Information

  • Id string
    Gets or sets a unique identifier for this resource.
  • ItemType string
  • Items array of object
    • Branch string
    • BuildEnvironment string
    • BuildNumber string
    • BuildUrl string
    • Commits array of object
    • Created string
      Format date-time.
    • Id string
      Gets or sets a unique identifier for this resource.
    • IncompleteDataWarning string
    • IssueTrackerName string
    • LastModifiedBy string
      Gets or sets the username of the user who last modified this resource.
    • LastModifiedOn string
      Gets or sets the date/time that this resource was last modified. Format date-time.
    • Links object
      Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
    • PackageId string
    • VcsCommitNumber string
    • VcsCommitUrl string
    • VcsRoot string
    • VcsType string
    • Version string
    • WorkItems array of object
  • ItemsPerPage integer
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • LastPageNumber integer
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • NumberOfPages integer
  • TotalResults integer

Example Response

JSON
{
  "Id": "string",
  "ItemType": "string",
  "Items": [
    {
      "Branch": "string",
      "BuildEnvironment": "string",
      "BuildNumber": "string",
      "BuildUrl": "string",
      "Commits": [
        {}
      ],
      "Created": "2020-01-01T00:00:00.000Z",
      "Id": "string",
      "IncompleteDataWarning": "string",
      "IssueTrackerName": "string",
      "LastModifiedBy": "string",
      "LastModifiedOn": "2020-01-01T00:00:00.000Z",
      "Links": {
        "additionalProp1": "string",
        "additionalProp2": "string",
        "additionalProp3": "string"
      },
      "PackageId": "string",
      "VcsCommitNumber": "string",
      "VcsCommitUrl": "string",
      "VcsRoot": "string",
      "VcsType": "string",
      "Version": "string",
      "WorkItems": [
        {}
      ]
    }
  ],
  "ItemsPerPage": 0,
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "LastPageNumber": 0,
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "NumberOfPages": 0,
  "TotalResults": 0
}

Create or update a specific build information record describing the vcs information for a given package

POST /api/{spaceId}/build-information

Also reachable at /api/build-information, /api/spaces/{spaceIdentifier}/build-information.

Path Parameters

  • spaceId string (required)

Request Body

  • OctopusBuildInformation object (required)
    • Branch string
    • BuildEnvironment string
    • BuildNumber string
    • BuildUrl string
    • Commits array of object
    • VcsCommitNumber string
    • VcsRoot string
    • VcsType string
  • OverwriteMode enum
    Allowed values: FailIfExists, OverwriteExisting, IgnoreIfExists.
  • PackageId string (required)
    Minimum length 1.
  • Replace boolean
  • SpaceId string (required)
  • Version string (required)
    Minimum length 1.

Response

200 — Build information updated.

  • Branch string
  • BuildEnvironment string
  • BuildNumber string
  • BuildUrl string
  • Commits array of object
    • Comment string
    • Id string
    • LinkUrl string
  • Created string
    Format date-time.
  • Id string
    Gets or sets a unique identifier for this resource.
  • IncompleteDataWarning string
  • IssueTrackerName string
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • PackageId string
  • VcsCommitNumber string
  • VcsCommitUrl string
  • VcsRoot string
  • VcsType string
  • Version string
  • WorkItems array of object
    • Description string
    • Id string
    • LinkUrl string
    • Source string

Example Request

JSON
{
  "OctopusBuildInformation": {
    "Branch": "string",
    "BuildEnvironment": "string",
    "BuildNumber": "string",
    "BuildUrl": "string",
    "Commits": [
      {
        "Comment": "string",
        "Id": "string"
      }
    ],
    "VcsCommitNumber": "string",
    "VcsRoot": "string",
    "VcsType": "string"
  },
  "OverwriteMode": "FailIfExists",
  "PackageId": "string",
  "Replace": true,
  "SpaceId": "Spaces-1",
  "Version": "string"
}

Example Response

JSON
{
  "Branch": "string",
  "BuildEnvironment": "string",
  "BuildNumber": "string",
  "BuildUrl": "string",
  "Commits": [
    {
      "Comment": "string",
      "Id": "string",
      "LinkUrl": "string"
    }
  ],
  "Created": "2020-01-01T00:00:00.000Z",
  "Id": "string",
  "IncompleteDataWarning": "string",
  "IssueTrackerName": "string",
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "PackageId": "string",
  "VcsCommitNumber": "string",
  "VcsCommitUrl": "string",
  "VcsRoot": "string",
  "VcsType": "string",
  "Version": "string",
  "WorkItems": [
    {
      "Description": "string",
      "Id": "string",
      "LinkUrl": "string",
      "Source": "string"
    }
  ]
}

Bulk delete specific Build Information records

DELETE /api/{spaceId}/build-information/bulk

Also reachable at /api/build-information/bulk, /api/spaces/{spaceIdentifier}/build-information/bulk.

Path Parameters

  • spaceId string (required)
    The ID of the space containing the resource(s).

Request Body

  • Ids array of string (required)
    IDs of the multiple Build Information to delete.
  • SpaceId string (required)
    The ID of the space containing the resource(s).

Response

200 — Success

Example Request

JSON
{
  "Ids": [
    "string"
  ],
  "SpaceId": "Spaces-1"
}

Retrieve a specific build information record describing the vcs information for a given package

GET /api/{spaceId}/build-information/{id}

Also reachable at /api/build-information/{id}, /api/spaces/{spaceIdentifier}/build-information/{id}.

Path Parameters

  • id string (required)
    The build information id to retrieve.
  • spaceId string (required)
    The ID of the space containing the resource(s).

Response

200 — The requested Build Information

  • Branch string
  • BuildEnvironment string
  • BuildNumber string
  • BuildUrl string
  • Commits array of object
    • Comment string
    • Id string
    • LinkUrl string
  • Created string
    Format date-time.
  • Id string
    Gets or sets a unique identifier for this resource.
  • IncompleteDataWarning string
  • IssueTrackerName string
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • PackageId string
  • VcsCommitNumber string
  • VcsCommitUrl string
  • VcsRoot string
  • VcsType string
  • Version string
  • WorkItems array of object
    • Description string
    • Id string
    • LinkUrl string
    • Source string

Example Response

JSON
{
  "Branch": "string",
  "BuildEnvironment": "string",
  "BuildNumber": "string",
  "BuildUrl": "string",
  "Commits": [
    {
      "Comment": "string",
      "Id": "string",
      "LinkUrl": "string"
    }
  ],
  "Created": "2020-01-01T00:00:00.000Z",
  "Id": "string",
  "IncompleteDataWarning": "string",
  "IssueTrackerName": "string",
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "PackageId": "string",
  "VcsCommitNumber": "string",
  "VcsCommitUrl": "string",
  "VcsRoot": "string",
  "VcsType": "string",
  "Version": "string",
  "WorkItems": [
    {
      "Description": "string",
      "Id": "string",
      "LinkUrl": "string",
      "Source": "string"
    }
  ]
}

Delete a specific Build Information record

DELETE /api/{spaceId}/build-information/{id}

Also reachable at /api/build-information/{id}, /api/spaces/{spaceIdentifier}/build-information/{id}.

Path Parameters

  • id string (required)
    ID of the Build Information to delete.
  • spaceId string (required)
    The ID of the space containing the resource(s).

Response

200 — Success